Save dataset ontology
curl --request POST \
--url https://api.datalinks.com/api/v1/ontology/{username}/{namespace}/{datasetName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"add": [
{
"destination": "ri.user.examples.actor.name",
"hits": 6,
"matchType": "ExactMatch",
"origin": "ri.user.examples.movies.director"
}
],
"remove": [
{
"destination": "ri.user.examples.actor.name",
"hits": 6,
"matchType": "ExactMatch",
"origin": "ri.user.examples.movies.director"
}
]
}
'import requests
url = "https://api.datalinks.com/api/v1/ontology/{username}/{namespace}/{datasetName}"
payload = {
"add": [
{
"destination": "ri.user.examples.actor.name",
"hits": 6,
"matchType": "ExactMatch",
"origin": "ri.user.examples.movies.director"
}
],
"remove": [
{
"destination": "ri.user.examples.actor.name",
"hits": 6,
"matchType": "ExactMatch",
"origin": "ri.user.examples.movies.director"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
add: [
{
destination: 'ri.user.examples.actor.name',
hits: 6,
matchType: 'ExactMatch',
origin: 'ri.user.examples.movies.director'
}
],
remove: [
{
destination: 'ri.user.examples.actor.name',
hits: 6,
matchType: 'ExactMatch',
origin: 'ri.user.examples.movies.director'
}
]
})
};
fetch('https://api.datalinks.com/api/v1/ontology/{username}/{namespace}/{datasetName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}ontology
Save dataset ontology
Save the ontology for the specified dataset.
POST
/
ontology
/
{username}
/
{namespace}
/
{datasetName}
Save dataset ontology
Authorizations
bearerAuthopenId
Use a Bearer token for authentication. Submit the token using the Authorization
header: Authorization: Bearer <token>.
Path Parameters
Namespace for the dataset.
Name of the dataset.
The username associated with the request.
Response
Saves the dataset ontology.
⌘I